SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (VoIP)  >   Asterisk Vendors:   Digium (Linux Support Services)
Asterisk chan_sip File Descriptor Bug Lets Remote Users Consume Excessive File Descriptor Resources
SecurityTracker Alert ID:  1034930
SecurityTracker URL:  http://securitytracker.com/id/1034930
CVE Reference:   CVE-2016-2316   (Links to External Site)
Updated:  Dec 5 2016
Original Entry Date:  Feb 4 2016
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 1.8.x, 11.x, 12.x, 13.x
Description:   A vulnerability was reported in Asterisk. A remote user can consume excessive memory on the target system.

A remote user can trigger an integer overflow to create large retransmit timeout values and consume excessive file descriptor resources on the target system.

Alexander Traud reported this vulnerability.

Impact:   A remote user can consume excessive file descriptor resources on the target system.
Solution:   The vendor has issued a fix (11.21.1, 13.7.1, 11.6-cert12, 13.1-cert3).

The vendor's advisory is available at:

http://downloads.digium.com/pub/security/AST-2016-002.html

Vendor URL:  downloads.digium.com/pub/security/AST-2016-002.html (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC